## ros-indigo-carl-demos 0.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_demos)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  actionlib
  actionlib_msgs
  carl_dynamixel
  carl_moveit
  carl_navigation
  geometry_msgs
  message_generation
  rail_manipulation_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## Generate actions in the 'action' folder
add_action_files(
  FILES
  ObtainObject.action
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  actionlib_msgs
)

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(carl_speed_speak src/carl_speed_speak.cpp)
add_executable(sequential_tasks src/sequential_tasks.cpp)
add_executable(specific_actions src/specific_actions.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(carl_speed_speak
  ${catkin_LIBRARIES}
  espeak
)
target_link_libraries(sequential_tasks ${catkin_LIBRARIES})
target_link_libraries(specific_actions ${catkin_LIBRARIES})

add_dependencies(sequential_tasks carl_dynamixel_gencpp carl_moveit_gencpp carl_navigation_gencpp carl_demos_gencpp)
add_dependencies(specific_actions carl_moveit_gencpp carl_demos_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS carl_speed_speak sequential_tasks specific_actions
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

=== debian/changelog ===
ros-indigo-carl-demos (0.0.9-0trusty) trusty; urgency=high

  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update README.md
  * Update package.xml
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_demos into develop
  * Updates for new rail_manipulation_msgs
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-demos (0.0.8-0trusty) trusty; urgency=high

  * update
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_demos into develop
  * Added fruit basket task
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Moved obtain object action into demos
  * Updated surface link name
  * Used Kinova home to get out of a bad position
  * updated sequential tasks demo for packing a schoolbag
  * debugging sequential task executer
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_demos into develop
  * Added a sequential task executor for preprogrammed demo tasks.
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-carl-demos (0.0.7-0trusty) trusty; urgency=high

  * fixes name of queue
  * new name for queue
  * single launch for web demos
  * Merge pull request #1 from PeterMitrano/develop
    Added Crowd Manipulation Launch File
  * Merge branch 'develop' of https://github.com/PeterMitrano/carl_demos into develop
  * added crowd manipulation launch file
  * added crowd manipulation launch file
  * Merge branch 'develop' of https://github.com/WPI-RAIL/carl_demos into develop
  * added rosbridge and parking_markers to launch
  * Contributors: Peter Mitrano, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-demos (0.0.6-0trusty) trusty; urgency=high

  * Removed nav from basic web demo launch
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-demos (0.0.5-0trusty) trusty; urgency=high

  * Updated launch file to reflect changes in carl_safety
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-demos (0.0.4-0trusty) trusty; urgency=high

  * travis fix
  * adds nav to demo
  * Update .travis.yml
  * added web_video_server to web demo launch
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-demos (0.0.3-0trusty) trusty; urgency=high

  * carl_speed_speak added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Oct 2014 04:00:00 -0000

ros-indigo-carl-demos (0.0.2-0trusty) trusty; urgency=high

  * new interactive manipulation topic
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-demos (0.0.1-0trusty) trusty; urgency=high

  * added build and launch files
  * READMEs added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-carl-demos
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libespeak-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-carl-dynamixel, ros-indigo-carl-moveit, ros-indigo-carl-navigation, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp
Homepage: http://ros.org/wiki/carl_demos
Standards-Version: 3.9.2

Package: ros-indigo-carl-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libespeak-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-carl-dynamixel, ros-indigo-carl-moveit, ros-indigo-carl-navigation, ros-indigo-carl-safety, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-message-runtime, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-user-queue-manager, ros-indigo-roscpp, ros-indigo-tf2-web-republisher, ros-indigo-web-video-server
Description: Demo Applications for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-demos//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
